Subject: Re: [PATCH 1/1] dt-bindings: net: dsa: nxp,sja1105: Add optional clock

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Oct 2025 18:13:02 -0700

On Tue, 14 Oct 2025 15:48:07 -0500 Rob Herring wrote:
> On Tue, Oct 14, 2025 at 08:35:04PM +0100, Conor Dooley wrote:
> > On Tue, Oct 14, 2025 at 12:02:13PM -0700, Jakub Kicinski wrote:  
> > > The pw-bot commands are a netdev+bpf thing :) They won't do anything
> > > to dt patchwork. IOW the pw-bot is a different bot than the one that
> > > replies when patch is applied.  
> > 
> > Rob's recently added it to our patchwork too.  
> 
> And the issue is that both PW projects might get updated and both don't 
> necessarily want the same state (like this case). So we need to 
> distinguish. Perhaps like one of the following:
> 
> dt-pw-bot: <state>
> 
> or
> 
> pw-bot: <project> <state>

We crossed replies, do you mind

  pw-bot: xyz [project]

? I like the optional param after required, and the brackets may help
us disambiguate between optional params if there are more in the future.